### Method

# Gtk.PrintSettings.load_key_file

#### Declaration [src]

    gboolean
    gtk_print_settings_load_key_file (
      GtkPrintSettings* settings,
      GKeyFile* key_file,
      const char* group_name,
      GError** error
    )

#### Description [src]

Reads the print settings from the group `group_name` in `key_file`.

If the file could not be loaded then error is set to either a `GFileError` or `GKeyFileError`.

#### Parameters

`key_file` | `GKeyFile*`
| the `GKeyFile` to retrieve the settings from
| Ownership is not transferred to the callee
`group_name` | `const char*`
| the name of the group to use, or `NULL` to use the default “Print Settings”
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `gboolean`
`TRUE` on success